Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.coerce
Class FloatCoerce

    java.lang.Object
      cascading.tuple.coerce.Coercions.Coerce<Float>
          cascading.tuple.coerce.FloatCoerce

All Implemented Interfaces:
  CoercibleType<Float>, Serializable, Type

    public class FloatCoerce

extends Coercions.Coerce<Float>

See Also:
  Serialized Form

Constructor Summary
`protected` | `FloatCoerce(Map<Type,Coercions.Coerce> map)`

Method Summary
`Float` | `coerce(Object value)`
`Class<Float>` | `getCanonicalType()`

Methods inherited from class cascading.tuple.coerce.Coercions.Coerce
`canonical, coerce, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatCoerce

    protected FloatCoerce(Map<Type,Coercions.Coerce> map)

Method Detail

### getCanonicalType

    public Class<Float> getCanonicalType()

  Returns:
    the actual Java type this CoercibleType represents

### coerce

    public Float coerce(Object value)

  Specified by:
    `coerce` in class `Coercions.Coerce<Float>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.